package com.extensibility.xml.dt;

public class DataTypePE extends DataType {
   public DataTypePE(String var1, String var2) {
      super(var1, var2);
   }

   public boolean isPE() {
      return true;
   }

   public boolean isXMLPrimitive() {
      return true;
   }

   public String getSource() {
      return new String(String.valueOf(String.valueOf("%").concat(String.valueOf(super.type.getName()))).concat(String.valueOf(";")));
   }

   public String getDisplay() {
      return new String(String.valueOf("%").concat(String.valueOf(super.type.getName())));
   }

   public boolean equals(DataType var1) {
      if (var1 == null) {
         return false;
      } else if (this == var1) {
         return true;
      } else {
         return !(var1 instanceof DataTypePE) ? false : this.getSource().equals(var1.getSource());
      }
   }

   public int compareTo(DataType var1) {
      if (var1 == null) {
         return 1;
      } else if (!(var1 instanceof DataTypePE)) {
         return 1;
      } else {
         return this.equals(var1) ? 0 : this.getSource().compareTo(var1.getSource());
      }
   }
}
