package com.extensibility.xml.dt;

import java.util.Hashtable;

public class Facet {
   public static String FACET_ENUM_NAME = "enum";
   public static String FACET_MAX_NAME = "max";
   public static String FACET_MIN_NAME = "min";
   public static String FACET_MAXEX_NAME = "maxexclusive";
   public static String FACET_MINEX_NAME = "minexclusive";
   public static String FACET_MAXLENGTH_NAME = "maxlength";
   public static String FACET_DIGITS_NAME = "digits";
   public static String FACET_DECIMALS_NAME = "decimals";
   public static String FACET_LENGTH_NAME = "length";
   public static String FACET_MINLENGTH_NAME = "minlength";
   public static String FACET_ENCODING_NAME = "encoding";
   public static String FACET_PATTERN_NAME = "pattern";
   public static String FACET_PERIOD_NAME = "period";
   String name;
   Object value;
   Hashtable enumExplains;

   public Facet(String var1, Object var2) {
      this.name = var1;
      this.value = var2;
      this.enumExplains = null;
   }

   public String getName() {
      return this.name;
   }

   public Object getValue() {
      return this.value;
   }

   public Hashtable getExplains() {
      return this.enumExplains;
   }

   public void setExplains(Hashtable var1) {
      this.enumExplains = var1;
   }
}
