package com.extensibility.xml.dt;

public interface DataTypeIntf {
   // $FF: renamed from: ID java.lang.String
   String field_0 = new String("ID");
   String IDREF = new String("IDREF");
   String IDREFS = new String("IDREFS");
   String ENTITY = new String("ENTITY");
   String ENTITIES = new String("ENTITIES");
   String NMTOKEN = new String("NMTOKEN");
   String NMTOKENS = new String("NMTOKENS");
   String ENUMERATION = new String("ENUMERATION");
   String NOTATION = new String("NOTATION");
   String STRING = new String("string");
   String NUMBER = new String("number");
   String INT = new String("int");
   String DECIMAL = new String("decimal");
   String BOOLEAN = new String("boolean");
   String DATETIME = new String("dateTime");
   String DATETIMETZ = new String("dateTime.tz");
   String DATE = new String("date");
   String TIME = new String("time");
   String TIMETZ = new String("time.tz");
   String INTERVAL = new String("interval");
   // $FF: renamed from: I1 java.lang.String
   String field_1 = new String("i1");
   // $FF: renamed from: I2 java.lang.String
   String field_2 = new String("i2");
   // $FF: renamed from: I4 java.lang.String
   String field_3 = new String("i4");
   // $FF: renamed from: I8 java.lang.String
   String field_4 = new String("i8");
   String UI1 = new String("ui1");
   String UI2 = new String("ui2");
   String UI4 = new String("ui4");
   String UI8 = new String("ui8");
   // $FF: renamed from: R4 java.lang.String
   String field_5 = new String("r4");
   // $FF: renamed from: R8 java.lang.String
   String field_6 = new String("r8");
   String FLOAT = new String("float");
   String FIXED144 = new String("fixed.14.4");
   String UUID = new String("uuid");
   String URI = new String("uri");
   String BINHEX = new String("bin.hex");
   String BINBASE64 = new String("bin.base64");
   String CHAR = new String("char");
   String NOTATED = new String("NOTATED");
   int FACET_BOUNDS = 1;
   int FACET_DECIMAL = 2;
   int FACET_PATTERN = 3;
   int FACET_LENGTH = 4;
   int FACET_MAXLENGTH = 5;
   int FACET_ENCODING = 6;
   int FACET_ENUMERATION = 7;
   int FACET_PERIOD = 8;
   int FACET_ABSBOUNDS = 9;
   int BOUNDS_INCLUSIVE = 1;
   int BOUNDS_EXCLUSIVE = 2;
   int ENCODING_UNKNOWN = 0;
   int ENCODING_HEX = 1;
   int ENCODING_BASE64 = 2;

   void setBaseType(String var1);

   String getBaseType();

   boolean hasFacet(String var1);

   Facet getFacet(String var1);

   boolean isXMLPrimitive();

   boolean hasEnumeration();

   DataTypeIntf applyFacet(Facet var1);

   DataTypeIntf clearFacets();

   DataTypeIntf clearFacet(String var1);

   boolean enumContains(String var1);

   DataTypeIntf setOptions(String var1);

   String getOptions();

   boolean isQualified();

   boolean isPE();

   boolean isNotation();

   boolean isEnumeration();

   boolean isNmTokens();

   String getSource();

   String getDisplay();

   String toString();

   boolean equals(int var1);

   boolean equalsSource(String var1);

   int hashCode();

   boolean equals(DataType var1);

   int compareTo(DataType var1);
}
